Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.xml
Class ValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.xml.ValidationException

All Implemented Interfaces:
  Serializable

    public class ValidationException

extends Exception

Reports JobSchedulingDataLoader validation exceptions.

Author:
  Chris Bonham
See Also:
  Serialized Form

Constructor Summary
`ValidationException()` Constructor for ValidationException.
`ValidationException(Collection<Exception> errors)` Constructor for ValidationException.
`ValidationException(String message)` Constructor for ValidationException.
`ValidationException(String message, Collection<Exception> errors)` Constructor for ValidationException.

Method Summary
`String` | `getMessage()` Returns the detail message string.
`Collection<Exception>` | `getValidationExceptions()` Returns collection of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException()

  Constructor for ValidationException.

### ValidationException

    public ValidationException(String message)

  Constructor for ValidationException.

  Parameters:
    `message` - exception message.

### ValidationException

    public ValidationException(Collection<Exception> errors)

  Constructor for ValidationException.

  Parameters:
    `errors` - collection of validation exceptions.

### ValidationException

    public ValidationException(String message,
                               Collection<Exception> errors)

  Constructor for ValidationException.

  Parameters:
    `message` - exception message.
    `errors` - collection of validation exceptions.

Method Detail

### getValidationExceptions

    public Collection<Exception> getValidationExceptions()

  Returns collection of errors.

  Returns:
    collection of errors.

### getMessage

    public String getMessage()

  Returns the detail message string.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.